summaryrefslogtreecommitdiff
path: root/dev-ruby
diff options
context:
space:
mode:
Diffstat (limited to 'dev-ruby')
-rw-r--r--dev-ruby/binding_of_caller/binding_of_caller-1.0.0-r2.ebuild30
-rw-r--r--dev-ruby/capistrano/capistrano-3.17.3.ebuild2
-rw-r--r--dev-ruby/io-wait/io-wait-0.2.3.ebuild4
-rw-r--r--dev-ruby/jmespath/Manifest1
-rw-r--r--dev-ruby/jmespath/jmespath-1.6.1-r1.ebuild27
-rw-r--r--dev-ruby/jmespath/jmespath-1.6.1.ebuild26
-rw-r--r--dev-ruby/kissfft/kissfft-0.0.2-r1.ebuild4
-rw-r--r--dev-ruby/levenshtein/levenshtein-0.2.2-r3.ebuild4
-rw-r--r--dev-ruby/lumberjack/lumberjack-1.2.8-r1.ebuild27
-rw-r--r--dev-ruby/mab/mab-0.0.3-r2.ebuild6
10 files changed, 66 insertions, 65 deletions
diff --git a/dev-ruby/binding_of_caller/binding_of_caller-1.0.0-r2.ebuild b/dev-ruby/binding_of_caller/binding_of_caller-1.0.0-r2.ebuild
new file mode 100644
index 000000000000..8d0a4d13f8f5
--- /dev/null
+++ b/dev-ruby/binding_of_caller/binding_of_caller-1.0.0-r2.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+USE_RUBY="ruby30 ruby31 ruby32"
+
+RUBY_FAKEGEM_EXTRADOC="README.md"
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+
+RUBY_FAKEGEM_GEMSPEC="binding_of_caller.gemspec"
+
+RUBY_FAKEGEM_BINWRAP=""
+
+inherit ruby-fakegem
+
+DESCRIPTION="Retrieve the binding of a method's caller"
+HOMEPAGE="https://github.com/banister/binding_of_caller"
+SRC_URI="https://github.com/banister/binding_of_caller/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="test"
+
+ruby_add_rdepend ">=dev-ruby/debug_inspector-0.0.1"
+
+all_ruby_prepare() {
+ sed -i -e "s:_relative ': './:" -e 's/git ls-files -z/find * -print0/' ${RUBY_FAKEGEM_GEMSPEC} || die
+ sed -i -e '/bundler/ s:^:#:' spec/spec_helper.rb || die
+}
diff --git a/dev-ruby/capistrano/capistrano-3.17.3.ebuild b/dev-ruby/capistrano/capistrano-3.17.3.ebuild
index 060941c9ee4a..4e9839ae6fcb 100644
--- a/dev-ruby/capistrano/capistrano-3.17.3.ebuild
+++ b/dev-ruby/capistrano/capistrano-3.17.3.ebuild
@@ -3,7 +3,7 @@
EAPI=8
-USE_RUBY="ruby30 ruby31"
+USE_RUBY="ruby30 ruby31 ruby32"
RUBY_FAKEGEM_RECIPE_TEST="rspec3"
diff --git a/dev-ruby/io-wait/io-wait-0.2.3.ebuild b/dev-ruby/io-wait/io-wait-0.2.3.ebuild
index 1e0b2f170113..415a5b87b2ff 100644
--- a/dev-ruby/io-wait/io-wait-0.2.3.ebuild
+++ b/dev-ruby/io-wait/io-wait-0.2.3.ebuild
@@ -1,8 +1,8 @@
-# Copyright 1999-2022 Gentoo Authors
+# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
-USE_RUBY="ruby26 ruby27 ruby30 ruby31"
+USE_RUBY="ruby30 ruby31 ruby32"
RUBY_FAKEGEM_BINWRAP=""
RUBY_FAKEGEM_EXTENSIONS="ext/io/wait/extconf.rb"
diff --git a/dev-ruby/jmespath/Manifest b/dev-ruby/jmespath/Manifest
index 1f3fe455bc96..de265a541451 100644
--- a/dev-ruby/jmespath/Manifest
+++ b/dev-ruby/jmespath/Manifest
@@ -1,2 +1 @@
-DIST jmespath-1.6.1.tar.gz 40731 BLAKE2B 004da1c19a9990f83cc7484afccf7f7c8b6924ff538a0779752a4fd2aa0d469fd7ddf975f39e50f3f3d806109d6742adbc16237dec5760c224a59e6791954529 SHA512 8c66235463f1d83a2b061e9e01b5ef0d3d12df5a034a334d3c06a919bc2049b44dd740da0297e1774300533bc9968614f3d961deb4bfe808c9221e03d6f1bbed
DIST jmespath-1.6.2.tar.gz 40932 BLAKE2B e19a2bacb8e207f65e45d1ad8eaaceb5ab6cbd847dc1009b45c618d426e5cc5814a1b1a806ccd935a83e3dacff3bcefedf9c7241586a348f2b705d80e63ba27d SHA512 2118c348bb25285f002fce64d0f7a00a5850c9f1b39d71d16c0c4335469069861bc51a81a9aec95f5625ae6b2d9daaa8b40ada817ac83ef83349c33e906561e7
diff --git a/dev-ruby/jmespath/jmespath-1.6.1-r1.ebuild b/dev-ruby/jmespath/jmespath-1.6.1-r1.ebuild
deleted file mode 100644
index c3f5e802faf7..000000000000
--- a/dev-ruby/jmespath/jmespath-1.6.1-r1.ebuild
+++ /dev/null
@@ -1,27 +0,0 @@
-# Copyright 1999-2022 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-USE_RUBY="ruby27 ruby30 ruby31"
-
-RUBY_FAKEGEM_EXTRAINSTALL="VERSION"
-RUBY_FAKEGEM_GEMSPEC="jmespath.gemspec"
-RUBY_FAKEGEM_RECIPE_TEST="rspec3"
-
-inherit ruby-fakegem
-
-DESCRIPTION="Implements JMESPath for Ruby"
-HOMEPAGE="https://github.com/jmespath/jmespath.rb"
-SRC_URI="https://github.com/jmespath/jmespath.rb/archive/v${PV}.tar.gz -> ${P}.tar.gz"
-RUBY_S="${PN}.rb-${PV}"
-
-LICENSE="Apache-2.0"
-SLOT="1"
-KEYWORDS="~amd64 ~arm64"
-IUSE=""
-
-all_ruby_prepare() {
- sed -i -e '/simplecov/I s:^:#:' \
- spec/{compliance_spec,compliance_without_errors_spec,spec_helper}.rb || die
- sed -i -e '/bundler/I s:^:#:' spec/spec_helper.rb || die
-}
diff --git a/dev-ruby/jmespath/jmespath-1.6.1.ebuild b/dev-ruby/jmespath/jmespath-1.6.1.ebuild
deleted file mode 100644
index d79916ac6658..000000000000
--- a/dev-ruby/jmespath/jmespath-1.6.1.ebuild
+++ /dev/null
@@ -1,26 +0,0 @@
-# Copyright 1999-2022 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-USE_RUBY="ruby26 ruby27 ruby30 ruby31"
-
-RUBY_FAKEGEM_GEMSPEC="jmespath.gemspec"
-RUBY_FAKEGEM_RECIPE_TEST="rspec3"
-
-inherit ruby-fakegem
-
-DESCRIPTION="Implements JMESPath for Ruby"
-HOMEPAGE="https://github.com/jmespath/jmespath.rb"
-SRC_URI="https://github.com/jmespath/jmespath.rb/archive/v${PV}.tar.gz -> ${P}.tar.gz"
-RUBY_S="${PN}.rb-${PV}"
-
-LICENSE="Apache-2.0"
-SLOT="1"
-KEYWORDS="~amd64 ~arm64"
-IUSE=""
-
-all_ruby_prepare() {
- sed -i -e '/simplecov/I s:^:#:' \
- spec/{compliance_spec,compliance_without_errors_spec,spec_helper}.rb || die
- sed -i -e '/bundler/I s:^:#:' spec/spec_helper.rb || die
-}
diff --git a/dev-ruby/kissfft/kissfft-0.0.2-r1.ebuild b/dev-ruby/kissfft/kissfft-0.0.2-r1.ebuild
index 724b3d755b5c..bc07eaaec109 100644
--- a/dev-ruby/kissfft/kissfft-0.0.2-r1.ebuild
+++ b/dev-ruby/kissfft/kissfft-0.0.2-r1.ebuild
@@ -1,9 +1,9 @@
-# Copyright 1999-2022 Gentoo Authors
+# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
-USE_RUBY="ruby26 ruby27 ruby30 ruby31"
+USE_RUBY="ruby30 ruby31 ruby32"
RUBY_FAKEGEM_TASK_TEST=""
diff --git a/dev-ruby/levenshtein/levenshtein-0.2.2-r3.ebuild b/dev-ruby/levenshtein/levenshtein-0.2.2-r3.ebuild
index 1799a4098688..9464d2a335a7 100644
--- a/dev-ruby/levenshtein/levenshtein-0.2.2-r3.ebuild
+++ b/dev-ruby/levenshtein/levenshtein-0.2.2-r3.ebuild
@@ -1,8 +1,8 @@
-# Copyright 1999-2022 Gentoo Authors
+# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
-USE_RUBY="ruby26 ruby27 ruby30 ruby31"
+USE_RUBY="ruby30 ruby31 ruby32"
RUBY_FAKEGEM_RECIPE_TEST="rspec3"
diff --git a/dev-ruby/lumberjack/lumberjack-1.2.8-r1.ebuild b/dev-ruby/lumberjack/lumberjack-1.2.8-r1.ebuild
new file mode 100644
index 000000000000..541a955c45da
--- /dev/null
+++ b/dev-ruby/lumberjack/lumberjack-1.2.8-r1.ebuild
@@ -0,0 +1,27 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+USE_RUBY="ruby30 ruby31 ruby32"
+
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+RUBY_FAKEGEM_EXTRADOC="README.md"
+
+RUBY_FAKEGEM_GEMSPEC="lumberjack.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="A simple, powerful, and very fast logging utility"
+HOMEPAGE="https://github.com/bdurand/lumberjack"
+SRC_URI="https://github.com/bdurand/lumberjack/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE=""
+
+ruby_add_bdepend "test? ( >=dev-ruby/timecop-0.8 )"
+
+all_ruby_prepare() {
+ sed -i -e 's/git ls-files -z/find * -print0/' -e 's/__dir__/"."/' ${RUBY_FAKEGEM_GEMSPEC} || die
+}
diff --git a/dev-ruby/mab/mab-0.0.3-r2.ebuild b/dev-ruby/mab/mab-0.0.3-r2.ebuild
index 2806926c3384..083ec394bc5a 100644
--- a/dev-ruby/mab/mab-0.0.3-r2.ebuild
+++ b/dev-ruby/mab/mab-0.0.3-r2.ebuild
@@ -1,10 +1,8 @@
-# Copyright 1999-2022 Gentoo Authors
+# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
-USE_RUBY="ruby26 ruby27 ruby30 ruby31"
-
-RUBY_FAKEGEM_TASK_TEST="test"
+USE_RUBY="ruby30 ruby31 ruby32"
RUBY_FAKEGEM_EXTRADOC="README.md"